Skip to content
Start here

Get target

client.zeroTrust.access.infrastructure.targets.get(stringtargetId, TargetGetParams { account_id } params, RequestOptionsoptions?): TargetGetResponse { id, created_at, hostname, 2 more }
GET/accounts/{account_id}/infrastructure/targets/{target_id}

Get target

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
targetId: string

Target identifier

formatuuid
maxLength36
params: TargetGetParams { account_id }
account_id: string

Account identifier

maxLength32
ReturnsExpand Collapse
TargetGetResponse { id, created_at, hostname, 2 more }
id: string

Target identifier

formatuuid
maxLength36
created_at: string

Date and time at which the target was created

formatdate-time
hostname: string

A non-unique field that refers to a target

ip: IP { ipv4, ipv6 }

The IPv4/IPv6 address that identifies where to reach a target

ipv4?: IPV4 { ip_addr, virtual_network_id }

The target’s IPv4 address

ip_addr?: string

IP address of the target

virtual_network_id?: string

(optional) Private virtual network identifier for the target. If omitted, the default virtual network ID will be used.

formatuuid
ipv6?: IPV6 { ip_addr, virtual_network_id }

The target’s IPv6 address

ip_addr?: string

IP address of the target

virtual_network_id?: string

(optional) Private virtual network identifier for the target. If omitted, the default virtual network ID will be used.

formatuuid
modified_at: string

Date and time at which the target was modified

formatdate-time

Get target

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const target = await client.zeroTrust.access.infrastructure.targets.get(
  '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
  { account_id: '023e105f4ecef8ad9ca31a8372d0c353' },
);

console.log(target.id);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "created_at": "2019-08-24T14:15:22Z",
    "hostname": "infra-access-target",
    "ip": {
      "ipv4": {
        "ip_addr": "187.26.29.249",
        "virtual_network_id": "c77b744e-acc8-428f-9257-6878c046ed55"
      },
      "ipv6": {
        "ip_addr": "64c0:64e8:f0b4:8dbf:7104:72b0:ec8f:f5e0",
        "virtual_network_id": "c77b744e-acc8-428f-9257-6878c046ed55"
      }
    },
    "modified_at": "2019-08-24T14:15:22Z"
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "created_at": "2019-08-24T14:15:22Z",
    "hostname": "infra-access-target",
    "ip": {
      "ipv4": {
        "ip_addr": "187.26.29.249",
        "virtual_network_id": "c77b744e-acc8-428f-9257-6878c046ed55"
      },
      "ipv6": {
        "ip_addr": "64c0:64e8:f0b4:8dbf:7104:72b0:ec8f:f5e0",
        "virtual_network_id": "c77b744e-acc8-428f-9257-6878c046ed55"
      }
    },
    "modified_at": "2019-08-24T14:15:22Z"
  }
}